> For the complete documentation index, see [llms.txt](https://zeko.gitbook.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://zeko.gitbook.io/docs/zekoai-api-docs/api-reference/schedule-interview/generate-pre-auth-access-links.md).

# Generate Pre-Auth Access Links

## Generate Pre-Auth Access Links

> Generate pre-authenticated links for candidates to take the interview.

```json
{"openapi":"3.0.3","info":{"title":"ZekoAI Interview APIs","version":"1.0.0"},"servers":[{"url":"https://interview-api.zeko.ai","description":"Production Server"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"GeneratePreAuthLinksRequest":{"type":"object","required":["candidates","startTime","endTime"],"properties":{"candidates":{"type":"array","items":{"type":"object","required":["name","email"],"properties":{"name":{"type":"string"},"email":{"type":"string","format":"email"},"phone":{"type":"string","nullable":true},"resumeLink":{"type":"string","nullable":true},"metaData":{"type":"object","properties":{"Id":{"type":"integer"},"name":{"type":"string"},"clientId":{"type":"integer"}}}}}},"startTime":{"type":"string","format":"date-time"},"endTime":{"type":"string","format":"date-time"}}},"GeneratePreAuthLinksResponse":{"allOf":[{"$ref":"#/components/schemas/SuccessWrapper"},{"type":"object","properties":{"message":{"type":"string"},"data":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"email":{"type":"string","format":"email"},"preAuthLink":{"type":"string","format":"uri"},"demoInterviewLink":{"type":"string","format":"uri"},"rescheduleLink":{"type":"string","format":"uri"}}}}}}}}]},"SuccessWrapper":{"type":"object","properties":{"message":{"type":"string"},"success":{"type":"boolean"},"data":{"type":"object","description":"Actual response data object"}}},"ErrorWrapper":{"type":"object","properties":{"message":{"type":"string"},"success":{"type":"boolean"},"error":{"nullable":true,"description":"Error details: Error Message"}},"required":["message","success","error"]},"ValidationErrorWrapper":{"type":"object","properties":{"message":{"type":"string"},"success":{"type":"boolean"},"error":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string"},"message":{"type":"string"}}}}},"required":["message","success","error"]}}},"paths":{"/api/v1/interview/{id}/access-links":{"post":{"tags":["Scheduling"],"summary":"Generate Pre-Auth Access Links","description":"Generate pre-authenticated links for candidates to take the interview.","operationId":"generatePreAuthAccessLinks","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true,"description":"The interview ID"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GeneratePreAuthLinksRequest"}}}},"responses":{"200":{"description":"Pre-authenticated links generated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GeneratePreAuthLinksResponse"}}}},"401":{"description":"Missing or invalid Authorization header","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorWrapper"}}}},"404":{"description":"Interview not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorWrapper"}}}},"422":{"description":"Input Validation failed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationErrorWrapper"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorWrapper"}}}}}}}}}
```
